curl --request GET \
--url https://api.konbiniapi.com/v1/instagram/highlights/{highlightId} \
--header 'Authorization: Bearer <token>'{
"data": {
"@context": [
"https://www.w3.org/ns/activitystreams#",
"https://konbiniapi.com/ns/social#"
],
"type": "OrderedCollection",
"id": "https://www.tiktok.com/@khaby.lame/playlist/7200000000000000001",
"internalId": "highlight:17890000000000001",
"totalItems": 42,
"orderedItems": [
{
"type": "Video",
"internalId": "3214260996432123580",
"published": "2026-02-27T18:36:42.000Z",
"image": {
"type": "Image",
"url": "https://p16-sign.tiktokcdn-us.com/tos-avt/123456~c5_100x100.jpeg",
"width": 1080,
"height": 1920
},
"attachment": [
{
"type": "Video",
"url": [
"https://v16-webapp.tiktok.com/video/tos/useast2a/..."
],
"mediaType": "video/mp4",
"width": 576,
"height": 1024
}
],
"duration": 23,
"attributedTo": {
"type": "Person",
"id": "https://www.tiktok.com/@khaby.lame",
"url": "https://www.tiktok.com/@khaby.lame",
"userId": "779085683",
"preferredUsername": "khaby00",
"name": "Khabane lame",
"icon": {
"type": "Image",
"url": "https://p16-sign.tiktokcdn-us.com/tos-avt/123456~c5_100x100.jpeg"
},
"role": "collaborator"
}
}
],
"name": "Best of 2025",
"image": {
"type": "Image",
"url": "https://p16-sign.tiktokcdn-us.com/tos-avt/123456~c5_100x100.jpeg"
}
}
}Returns all story items within a highlight reel, including images and videos. The highlight ID comes from the highlights list endpoint.
curl --request GET \
--url https://api.konbiniapi.com/v1/instagram/highlights/{highlightId} \
--header 'Authorization: Bearer <token>'{
"data": {
"@context": [
"https://www.w3.org/ns/activitystreams#",
"https://konbiniapi.com/ns/social#"
],
"type": "OrderedCollection",
"id": "https://www.tiktok.com/@khaby.lame/playlist/7200000000000000001",
"internalId": "highlight:17890000000000001",
"totalItems": 42,
"orderedItems": [
{
"type": "Video",
"internalId": "3214260996432123580",
"published": "2026-02-27T18:36:42.000Z",
"image": {
"type": "Image",
"url": "https://p16-sign.tiktokcdn-us.com/tos-avt/123456~c5_100x100.jpeg",
"width": 1080,
"height": 1920
},
"attachment": [
{
"type": "Video",
"url": [
"https://v16-webapp.tiktok.com/video/tos/useast2a/..."
],
"mediaType": "video/mp4",
"width": 576,
"height": 1024
}
],
"duration": 23,
"attributedTo": {
"type": "Person",
"id": "https://www.tiktok.com/@khaby.lame",
"url": "https://www.tiktok.com/@khaby.lame",
"userId": "779085683",
"preferredUsername": "khaby00",
"name": "Khabane lame",
"icon": {
"type": "Image",
"url": "https://p16-sign.tiktokcdn-us.com/tos-avt/123456~c5_100x100.jpeg"
},
"role": "collaborator"
}
}
],
"name": "Best of 2025",
"image": {
"type": "Image",
"url": "https://p16-sign.tiktokcdn-us.com/tos-avt/123456~c5_100x100.jpeg"
}
}
}Send your API key in the Authorization header as a Bearer token.
Example: Authorization: Bearer <your-api-key>
Highlight ID (numeric, from highlights endpoint)
Returns the highlight with all story items
Show child attributes